# -*- coding: UTF-8 -*-
from django.db import models
from django.utils.translation import ugettext_lazy as _

# Do zrobienia:
# 1) Uruchom serwer lokalny
# 2) Wejdź na stronę http://127.0.0.1:8000/admin/myapp1/newsarticle/add/
# 3) Zaloduj się przy użyciu nazwy użytkownika admin i hasła admin
# 4) Zwróć uwagę, że wybory statusu się zmieniły

from app_settings import STATUS_CHOICES


class NewsArticle(models.Model):
    title = models.CharField(_(u"Tytuł"), max_length=200)
    content = models.TextField(_(u"Treść"))
    status = models.CharField(_(u"Status"), max_length=20, choices=STATUS_CHOICES)

    def __unicode__(self):
        return self.title

    class Meta:
        verbose_name = _("Artykuł")
        verbose_name_plural = _("Artykuły")